{% import 'macros/md.jinja2' as md %}

<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Material+Icons|Material+Icons+Outlined" rel="stylesheet">
    <link rel="stylesheet" href="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.css">
    <link rel="stylesheet" href="/static/base.css">
    <link rel="shortcut icon" type="image/png" href="/static/kubescrapes_favicon.png"/>


    <title>{% block title %}Kubescrapes{% endblock %}</title>
</head>
<body class="mdc-typography">

<div class="mdc-layout-grid">
    <div class="mdc-layout-grid__inner">
        <div class="mdc-layout-grid__cell--span-3">
            <div class="mdc-list">
                <a href="{{ url_for('home') }}"><img src="/static/kubescrapes_full.png" class="kubescrapes-full"></a>
                {{ md.list_item('cluster_list', 'Clusters', 'dns') }}
                {{ md.list_item('secret_list', 'Secrets', 'security') }}
                {{ md.list_item('service_list', 'Services', 'room_service') }}
{#                {{ md.list_item('image_list', 'Images', 'wallpaper') }}#}
                <li role="separator" class="mdc-list-divider"></li>
                {{ md.list_item('spider_list', 'Spiders', '<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:cc="http://creativecommons.org/ns#" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" version="1.1" id="DESIGNS" x="0px" y="0px" width="32px" height="32px" viewBox="0 0 32 32" style="enable-background:new 0 0 32 32;" xml:space="preserve" class="mdc-list-item__graphic svg-icon">
<path class="linesandangles_een" d="M22.496,16.658C25.115,15.971,28,14.114,28,10h-2c0,3.232-2.481,4.371-4.253,4.774  c-0.11-0.457-0.256-0.888-0.433-1.289C23.147,12.681,25,10.806,25,7h-2c0,3.225-1.615,4.367-2.803,4.774  c-0.381-0.412-0.814-0.761-1.296-1.036C19.578,10.021,20,9.061,20,8c0-2.206-1.794-4-4-4s-4,1.794-4,4  c0,1.061,0.422,2.021,1.099,2.738c-0.482,0.275-0.915,0.624-1.296,1.036C10.615,11.367,9,10.225,9,7H7  c0,3.806,1.853,5.681,3.686,6.485c-0.177,0.402-0.323,0.832-0.433,1.289C8.481,14.371,6,13.232,6,10H4  c0,4.114,2.885,5.971,5.504,6.658C6.906,17.68,4,19.913,4,24h2c0-3.176,2.33-4.717,4.123-5.434c0.101,0.632,0.267,1.219,0.487,1.758  C9.128,20.936,7,22.727,7,28h2c0-4.656,1.85-5.697,2.654-5.931C12.705,23.296,14.205,24,16,24s3.295-0.704,4.346-1.931  C21.15,22.303,23,23.344,23,28h2c0-5.273-2.128-7.064-3.609-7.677c0.221-0.541,0.387-1.13,0.488-1.765  C23.671,19.271,26,20.807,26,24h2C28,19.913,25.094,17.68,22.496,16.658z M16,6c1.103,0,2,0.897,2,2s-0.897,2-2,2s-2-0.897-2-2  S14.897,6,16,6z M16,22c-2.949,0-4-2.583-4-5s1.051-5,4-5s4,2.583,4,5S18.949,22,16,22z"></path>
<metadata><work rdf:about=""><format>image/svg+xml</format><type rdf:resource="http://purl.org/dc/dcmitype/StillImage"></type><license rdf:resource="http://creativecommons.org/licenses/by/4.0/"></license><attributionname>Shannon E Thomas</attributionname><attributionurl>http://www.toicon.com/icons/lines-and-angles_creep</attributionurl></work></metadata></svg>') }}
            </div>
        </div>
        <div class="mdc-layout-grid__cell--span-9">
            {% block content %}
            {% endblock %}
            {{ md.flashed_dialog('dialog_error', 'Error') }}
            {{ md.flashed_dialog('dialog_warning', 'Warning') }}
            {{ md.dialog('', '', 'entity', 'entity-dialog') }}
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.3.1.js"></script>
<script src="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.js"></script>
<script>
    document.querySelectorAll('.mdc-button').forEach(x => mdc.ripple.MDCRipple.attachTo(x));
    document.querySelectorAll('.mdc-radio').forEach(x => mdc.radio.MDCRadio.attachTo(x));
    document.querySelectorAll('.mdc-checkbox').forEach(x => mdc.checkbox.MDCCheckbox.attachTo(x));
    document.querySelectorAll('.mdc-text-field').forEach(x => mdc.textField.MDCTextField.attachTo(x));
    document.querySelectorAll('.mdc-select').forEach(x => mdc.select.MDCSelect.attachTo(x));
    document.querySelectorAll('.mdc-list-item').forEach(x => mdc.ripple.MDCRipple.attachTo(x));
    document.querySelectorAll('.mdc-line-ripple').forEach(x => mdc.lineRipple.MDCLineRipple.attachTo(x));
    document.querySelectorAll('.mdc-dialog').forEach(x => mdc.dialog.MDCDialog.attachTo(x));

    const openDialog = function (query) {
        const dialogElement = document.querySelector(query);
        if (dialogElement) {
            const errorDialog = new mdc.dialog.MDCDialog(dialogElement);
            errorDialog.open();
        }
    };

    openDialog('.error-dialog');

    const onToggleInputCheckboxChange = function () {
        let fieldClass = $(this).attr('data-field-class');
        let $field = $('.' + fieldClass);
        if ($(this).find('input[type=checkbox]').is(':checked')) {
            $field.show();
        } else {
            $field.hide();
        }
    };

    const $toggleInputCheckbox = $('.toggle-input-checkbox');

    $toggleInputCheckbox.on('change', onToggleInputCheckboxChange);
    $toggleInputCheckbox.ready(onToggleInputCheckboxChange.bind($toggleInputCheckbox));
    $toggleInputCheckbox.on('change', function () {
        $('.' + $(this).attr('data-field-class')).find('input, select').val(null);
    });

    let activeTab = '{% block active_tab %}{% endblock %}';
    if (activeTab) {
        $('.mdc-list-item[data-name=' + activeTab + ']').addClass('mdc-list-item--activated');
    }
    $('.file-text-input').on('focus', function (e) {
        let inputId = $(e.target).attr('data-input-id');
        $('#' + inputId).trigger('click');
    });
    $('.file-input').on('change', function (e) {
        let inputId = $(e.target).attr('id');
        let inp = $('input[data-input-id=' + inputId + ']');
        let stringValue = [...e.target.files].map(x => x.name).join(', ');
        inp.val(stringValue);
        setTimeout(function () {
            inp.trigger('blur');
        }, 100);
    });

    const trim = function (s) {
        return (s || '').replace(/^\s+|\s+$/g, '');
    };

    $('.show-entity-info-button').on('click', function () {
        const jobName = $(this).siblings('.entity-title').text();
        const jobObj = $(this).siblings('.entity-obj').text();
        $('#entity-dialog-title').text(trim(jobName));
        $('#entity-dialog-content').html('<pre>' + trim(jobObj) + '</pre>');
        openDialog('.entity-dialog');
    });
</script>
{% block scripts %}{% endblock %}
</body>
</html>
